ChangeSet 1.1757.66.9, 2004/07/14 14:44:50-07:00, olh@suse.de

[PATCH] USB: fix lockup with 2.6 keyspan_pda driver

I suggest to put the pointer to port instead of the pointer to the
pointer to port to the workqueue data.
Did that driver ever work with 2.6?


Signed-off-by: Greg Kroah-Hartman <greg@kroah.com>


 drivers/usb/serial/keyspan_pda.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)


diff -Nru a/drivers/usb/serial/keyspan_pda.c b/drivers/usb/serial/keyspan_pda.c
--- a/drivers/usb/serial/keyspan_pda.c	2004-07-14 16:45:36 -07:00
+++ b/drivers/usb/serial/keyspan_pda.c	2004-07-14 16:45:36 -07:00
@@ -781,7 +781,7 @@
 	usb_set_serial_port_data(serial->port[0], priv);
 	init_waitqueue_head(&serial->port[0]->write_wait);
 	INIT_WORK(&priv->wakeup_work, (void *)keyspan_pda_wakeup_write,
-			(void *)(&serial->port[0]));
+			(void *)(serial->port[0]));
 	INIT_WORK(&priv->unthrottle_work,
 			(void *)keyspan_pda_request_unthrottle,
 			(void *)(serial));
